petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatMumpsGetInfo

Get MUMPS parameter INFO()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMumpsGetInfo(Mat F,PetscInt icntl,PetscInt *ival)

Logically Collective on Mat

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor() from PETSc-MUMPS interface
| icntl | - index of MUMPS parameter array INFO()

### Output Parameter

ival -value of MUMPS INFO(icntl)

### References

MUMPS Users' Guide -

### See Also

MatGetFactor(), MatMumpsSetICntl(), MatMumpsGetIcntl(), MatMumpsSetCntl(), MatMumpsGetCntl(), MatMumpsGetInfo(), MatMumpsGetInfog(), MatMumpsGetRinfo(), MatMumpsGetRinfog()

### Level

beginner

### Location

src/mat/impls/aij/mpi/mumps/mumps.c

### Implementations

MatMumpsGetInfo_MUMPS in src/mat/impls/aij/mpi/mumps/mumps.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages